#! /bin/sh
#for FHS 2.3

FSH_L1_REQ="bin boot dev etc lib media mnt opt sbin srv tmp usr var proc sys"
FSH_L2_REQ="etc/opt \
usr/bin usr/include usr/lib usr/local usr/sbin usr/share \
var/cache var/lib var/local var/lock var/log var/opt var/run var/spool var/tmp"
FSH_L3_REQ="usr/local/bin usr/local/etc usr/local/include usr/local/lib usr/local/games  usr/local/sbin usr/local/share usr/local/src usr/local/man \
var/lib/misc var/log/lastlog var/log/messages var/log/wtmp"


FSH_L1_OPT="home root"
FSH_L2_OPT="etc/X11 etc/sgml etc/xml \
usr/X11R6 usr/games usr/src \
var/account var/crash var/games var/mail var/yp"
FSH_L3_OPT="usr/share/dict usr/share/doc usr/share/games usr/share/info \
usr/share/locale usr/share/nls usr/share/sgml usr/share/terminfo \
usr/share/tmac usr/share/xml usr/share/zoneinfo \
usr/share/man1 usr/share/man2 usr/share/man3 usr/share/man4 \
usr/share/man5 usr/share/man6 usr/share/man7 usr/share/man8 \
usr/share/misc \
var/cache/fonts var/cache/man var/cache/www \
var/lib/hwclock var/lib/xdm \
var/spool/lpd var/spool/mqueue var/spool/news var/spool/rwho var/spool/uucp"

    if [ -e "$1" ] & [ -d "$1" ]
    then
        echo "Entrying $1 ..."
        cd $1
    else
        echo "creating rootfs dir..."
        mkdir rootfs
        cd rootfs
    fi

    echo "making L1 REQ dir : $FSH_L1_REQ"
    mkdir $FSH_L1_REQ #必备目录

    echo "making L1 OPT dir : $FSH_L1_OPT"
    mkdir $FSH_L1_OPT

    chmod 1777 tmp

    echo "making L2 REQ dir : $FSH_L2_REQ"
    mkdir $FSH_L2_REQ

    echo "making L2 OPT dir : $FSH_L2_OPT"
    mkdir $FSH_L2_OPT

    chmod 1777 var/tmp

    echo "making L3 REQ dir : $FSH_L3_REQ"
    mkdir $FSH_L3_REQ

    echo "making L3 OPT dir : $FSH_L3_OPT"
    mkdir $FSH_L3_OPT

# Don"t use mknod ,unless you run this Script as root !
    echo "device node null zero tty console under /dev"
    mknod -m 666 dev/null c 1 3
    mknod -m 666 dev/zero c 1 5
    mknod -m 666 dev/tty c 5 0
    mknod -m 600 dev/console c 5 1

    echo "done"



#var/backups
#var/cron
#var/msgs
#var/preserve

